Subject: bug#24082: vc-dir changes working directory (git backend)

From: Dmitry Gutov <[email-masked]>
Date: Fri, 7 Oct 2016 02:32:40 +0300

On 30.07.2016 03:35, Steve Revilak wrote:

> At this point emacs prompts "VC status for directory: ~/my-repo",
> although the buffer's working directory was "~/my-repo/subdir".
>
> I press RET at the "VC status for directory: ~/my-repo".  Here's what
> I see

What if you don't just press RET, and pick the directory you wanted first?

I don't see a problem here: offering the repository root as default is a 
reasonable (if new-ish) behavior. We've changed it in commit f30247547, 
nearly two years ago, and haven't seen any other complaints so far.

> I agree with the reporter: the VC status is being reported from the
> top-level of the repository, as opposed to the buffer's working
> directory.

It's reported from the directory you pick, as far as I can see.